<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('sc_users', function (Blueprint $blueprint) {
            $blueprint->foreign('fk_collaborator')->references('id')->on('ct_collaborators');
        });
    }

    public function down(): void
    {
        Schema::table('sc_users', function (Blueprint $blueprint) {
            $blueprint->dropForeign(['fk_collaborator']);
        });
    }
};
